Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.command
Class FindVariableInstancesCommand

    java.lang.Object
      org.jbpm.process.audit.command.AuditCommand<List<VariableInstanceLog>>
          org.jbpm.process.audit.command.FindVariableInstancesCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<VariableInstanceLog>>, Command<List<VariableInstanceLog>>

    public class FindVariableInstancesCommand

extends AuditCommand<List<VariableInstanceLog>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.process.audit.command.AuditCommand
`auditLogService`

Constructor Summary
`FindVariableInstancesCommand()`
`FindVariableInstancesCommand(long processInstanceId)`
`FindVariableInstancesCommand(long processInstanceId, String variableId)`

Method Summary
`List<VariableInstanceLog>` | `execute(org.kie.internal.command.Context cntxt)`
`Long` | `getProcessInstanceId()`
`String` | `getVariableId()`
`void` | `setProcessInstanceId(Long processInstanceId)`
`void` | `setVariableId(String variableId)`
`String` | `toString()`

Methods inherited from class org.jbpm.process.audit.command.AuditCommand
`setAuditLogService, setLogEnvironment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FindVariableInstancesCommand

    public FindVariableInstancesCommand()

### FindVariableInstancesCommand

    public FindVariableInstancesCommand(long processInstanceId)

### FindVariableInstancesCommand

    public FindVariableInstancesCommand(long processInstanceId,
                                        String variableId)

Method Detail

### execute

    public List<VariableInstanceLog> execute(org.kie.internal.command.Context cntxt)

### getProcessInstanceId

    public Long getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(Long processInstanceId)

### getVariableId

    public String getVariableId()

### setVariableId

    public void setVariableId(String variableId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.